varying vec3 normal;
varying vec3 viewVec; 
void main()
{

vec3 pos = vec3(gl_ModelViewMatrix * gl_Vertex);
viewVec = -pos;
normal = normalize(gl_NormalMatrix * gl_Normal);

gl_Position = ftransform();
}